import React from 'react'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

import AuthorTag from './AuthorTag'

const AuthorTagList = ({
  authors = [],
  separator = ',',
  authorKey = 'email',
}) => (
  <Root>
    {authors
      .map(a => <AuthorTag author={a} key={a[authorKey]} />)
      .reduce(
        (prev, curr, index) =>
          index === 0
            ? [prev, curr]
            : [prev, separator, <span key={curr}>&nbsp;</span>, curr],
        [],
      )}
  </Root>
)

export default AuthorTagList

// #region styles
const Root = styled.div`
  align-items: center;
  display: flex;
  flex-flow: row wrap;

  font-family: ${th('fontReading')};
`
// #endregion
