import React, { Fragment } from 'react'
import { H2, Icon } from '@pubsweet/ui'
import { Field } from 'redux-form'
import { Files } from 'pubsweet-components-faraday/src/components'
import { Row, Text, Item, Label } from 'pubsweet-component-faraday-ui'

import { Empty } from './'

const StepThree = ({ version, project, filesError }) => (
  <Fragment>
    <CustomH2>3. Manuscript Files Upload</CustomH2>
    <Row mb={2}>
      <Text align="center" secondary>
        Drag & Drop files in the specific section or click{' '}
        <Icon secondary size={2}>
          plus
        </Icon>{' '}
        to upload. Use the{' '}
        <Icon secondary size={2}>
          eye
        </Icon>{' '}
        icon to reorder or move files to a different type.
      </Text>
    </Row>
    <Row>
      <Item vertical>
        <Label>Files</Label>
        <Field component={Empty} name="files" />
        <Files parentForm="submission" project={project} version={version} />
        {filesError && (
          <Text align="left" error>
            {filesError}
          </Text>
        )}
      </Item>
    </Row>
  </Fragment>
)

export default StepThree

// #region styles
const CustomH2 = H2.extend`
  margin: 0;
`
// #endregion
