import { css } from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

export default {
  Root: css`
    background-color: ${props =>
      props.transparent ? 'transparent' : th('accordion.backgroundColor')};
    border-radius: ${th('borderRadius')};
    box-shadow: ${props =>
      props.transparent ? 'transparent' : th('boxShadow')};
  `,
  Header: {
    Root: css`
      background-color: ${th('accordion.headerBackgroundColor')};
      border-radius: ${props => (props.expanded ? 0 : th('borderRadius'))};
      borde-border-top-left-radius: ${th('borderRadius')};
      border-top-right-radius: ${th('borderRadius')};
      border-bottom: ${props =>
        props.expanded && !props.transparent ? th('accordion.border') : 'none'};
    `,
    Label: css`
      color: ${th('colorText')};
      font-size: ${th('accordion.headerFontSize')};
      font-family: ${th('accordion.headerFontFamily')};
    `,
    Icon: css`
      color: ${th('colorText')};
    `,
  },
}
