/* eslint react/prefer-stateless-function: 0 */
import React, { Component } from 'react'
import { reducer } from 'redux-form'
import { Provider } from 'react-redux'
import hindawiTheme from 'hindawi-theme'
import { ThemeProvider } from 'styled-components'
import { createStore, combineReducers } from 'redux'

const store = createStore(
  combineReducers({
    form: reducer,
  }),
)

export default class Wrapper extends Component {
  render() {
    return (
      <Provider store={store}>
        <ThemeProvider theme={hindawiTheme}>
          {this.props.children}
        </ThemeProvider>
      </Provider>
    )
  }
}
